<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="jp.co.y_net.amm.dao.Usr" table="usr" dynamic-insert="true">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <!-- 
            <generator class="sequence"><param name="sequence">usr_id_seq</param></generator>
             -->
            <generator class="identity" />
        </id>
        <property name="updatedate" type="long"><column name="updatedate"></column></property>
        <property name="updateusrid" type="java.lang.Integer"><column name="updateusrid"></column></property>
        <property name="deleted" type="java.lang.Integer"><column name="deleted"></column></property>
        
        <property name="usrid" type="java.lang.Integer"><column name="usrid"></column></property>
        
        <property name="loginid" type="string"><column name="loginid"></column></property>
        <property name="name" type="string"><column name="name"></column></property>
        <property name="kind" type="java.lang.Integer"><column name="kind"></column></property>
        <property name="orgid" type="java.lang.Integer"><column name="orgid"></column></property>
        <property name="orgrole" type="java.lang.Integer"><column name="orgrole"></column></property>
        <property name="stoplogin" type="java.lang.Integer"><column name="stoplogin"></column></property>
        <property name="fromdate" type="java.lang.Integer"><column name="fromdate"></column></property>
        <property name="todate" type="java.lang.Integer"><column name="todate"></column></property>
        <property name="pwhash" type="string"><column name="pwhash"></column></property>
        <property name="cres" type="string"><column name="cres"></column></property>
        <property name="cresdate" type="long"><column name="cresdate"></column></property>
        <property name="joindate" type="long"><column name="joindate"></column></property>
        <property name="lastlogintrydate" type="long"><column name="lastlogintrydate"></column></property>
        <property name="loginerrorcount" type="java.lang.Integer"><column name="loginerrorcount"></column></property>
        <property name="lastlogindate" type="long"><column name="lastlogindate"></column></property>
        <property name="modpwdate" type="long"><column name="modpwdate"></column></property>
        <property name="leavedate" type="long"><column name="leavedate"></column></property>
        <property name="status" type="java.lang.Integer"><column name="status"></column></property>
        <!-- 
        <property name="xxxxx" type="java.lang.Integer"><column name="xxxxx"></column></property>
        <property name="xxxxx" type="string"><column name="xxxxx"></column></property>
        <property name="xxxxx" type="long"><column name="xxxxx"></column></property>
         -->
    </class>
</hibernate-mapping>

